Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.shoppingadvisor
Class ItemQualitiesValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.ebusiness.shoppingadvisor.ItemQualitiesValue

public class ItemQualitiesValue
extends SmartValue

This map of Qualities by Item Key allows effecient administration of adds updates and removes of items to/ from the shopping advisor. Each item has certain qualities (stored using ItemsByQuality)

See Also:
  `ItemQualities`, `ItemQualitiesHome`, `ItemQualities.getItemQualitiesByValue()`, `ItemQualities.setItemQualitiesByValue(ItemQualitiesValue)`, Serialized Form

Field Summary
`java.lang.String` | `itemKey` itemKey [ItemQualities] <*>------> [`String`] (Primary Key)
`com.sun.java.util.collections.LinkedList` | `qualities` quality (List) [ItemQualities] <*>------> [`theory.smart.axiom.units.Quality`] 0..*

Constructor Summary
`protected` | `ItemQualitiesValue()` Only get/setItemQualitiesByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### itemKey

    public java.lang.String itemKey

                        itemKey
       [ItemQualities] <*>------> [String] (Primary Key)

### qualities

    public com.sun.java.util.collections.LinkedList qualities

                        quality (List)
       [ItemQualities] <*>------> [theory.smart.axiom.units.Quality]
                           0..*

Constructor Detail

### ItemQualitiesValue

    protected ItemQualitiesValue()

  Only get/setItemQualitiesByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.